Package org.apache.lucene.util

## Interface Unwrappable<T>

- All Known Implementing Classes:
    `CachingTokenFilter`, `FilteringTokenFilter`, `FilterLeafReader.FilterPostingsEnum`, `FilterMergePolicy`, `FilterScorer`, `GraphTokenFilter`, `LowerCaseFilter`, `OneMergeWrappingMergePolicy`, `SoftDeletesRetentionMergePolicy`, `StopFilter`, `TokenFilter`, `UpgradeIndexMergePolicy`

      public interface Unwrappable<T>

  An object with this interface is a wrapper around another object (e.g., a filter with a delegate). The method `unwrap()` can be called to get the wrapped object
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `unwrap()` | Unwraps this instance
    `static <T> T` | `unwrapAll​(T o)` | Unwraps all `Unwrappable`s around the given object.

- - ### Method Detail

    - #### unwrap

          T unwrap()

      Unwraps this instance

    - #### unwrapAll

          static <T> T unwrapAll​(T o)

      Unwraps all `Unwrappable`s around the given object.